Server
17 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.
DELETE /api/v1/servers/{id}
Delete a server by ID or name.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Server ID or name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
DELETE /api/v1/servers/{id}/core-debug-logs
Delete buffered core debug logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
204 | No Content | — |
GET /api/v1/servers/{id}/core-debug-logs
List core debug logs and renew the requesting page lease.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
lease_id | query | string | Yes | Per-page debug lease ID |
after | query | integer | No | Log sequence cursor; values less than or equal to 0 return all logs |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | array of utils.LogEntry |
GET /api/v1/servers/{id}/core-debug-logs/download
Download buffered core debug logs without renewing capture.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | file |
POST /api/v1/servers/{id}/core-debug-logs/lease
Release a core debug log page lease.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
lease_id | formData | string | Yes | Per-page debug lease ID |
Responses
| Status | Description | Schema |
|---|---|---|
204 | No Content | — |
GET /api/v1/servers/{id}/files
List filenames under a specific server path.
Get a filtered list of filenames and directories. Directories are suffixed with ‘/’.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Server ID |
path | query | string | Yes | Absolute path on the server to list |
extensions | query | array of string | No | Filter by file extensions (e.g., .jpg, .png) |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse + object |
GET /api/v1/servers/{id}/install
Get server installation progress.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | core.ServerInstallProgress |
POST /api/v1/servers/{id}/install
Start server installation.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
202 | Accepted | object of string |
DELETE /api/v1/servers/{id}/install/logs
Delete server installation log.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
204 | No Content | — |
GET /api/v1/servers/{id}/install/logs
Get server installation log.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
after | query | integer | No | Log sequence cursor; values less than or equal to 0 return all logs |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | array of utils.LogEntry |
GET /api/v1/servers/{id}/install/logs/download
Download server installation log.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | file |
DELETE /api/v1/servers/{id}/logs
Delete server logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
204 | No Content | — |
GET /api/v1/servers/{id}/logs
List server logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
after | query | integer | No | Log sequence cursor; values less than or equal to 0 return all logs |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | array of utils.LogEntry |
GET /api/v1/servers/{id}/logs/download
Download server logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | file |
POST /api/v1/servers/{id}/restart
Restart server application.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
202 | Accepted | object of string |
POST /api/v1/servers/{id}/tls/renew
Check or renew a server TLS certificate.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
202 | Accepted | object of string |
POST /api/v1/servers/{id}/traffic/reset
Reset a server’s cumulative web media traffic.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Server ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |